#!/bin/bash

GRAVITY_PATH=$(dirname $(readlink -f "$0"))

ENV_PATH=$GRAVITY_PATH/build-env/node/bin:$GRAVITY_PATH/build-env/cmake-3.9.3-Linux-x86_64/bin

#导出环境到PATH
export PATH=$ENV_PATH:$PATH

function encrypt ()
{
  ./node_modules/.bin/uglifyjs -c -m --toplevel -o $1 $1;
  echo '*** [uglify] *** '$1
}

function readfile ()
{
  for FILE in `ls $1`
  do
    if [ -d $1"/"$FILE ]
    then
      readfile $1"/"$FILE
    else
        if [ ${FILE:(-3):3} = ".js" ]
          then
            if [ -d $1 ]
              then
                encrypt $1"/"$FILE
              else
                encrypt $1
              fi
          fi
   fi
  done
}

cd $GRAVITY_PATH

npm --registry https://registry.npm.taobao.org install

FOLDERS=(*)

for FOLDER in ${FOLDERS[@]}
do
  if [ $FOLDER != 'node_modules' ] && [ $FOLDER != 'build-env' ] && [ $FOLDER != 'test' ]
    then
      readfile $FOLDER
    fi
done;

cd -